zenilib: zenilib/jni/external/freetype2/src/psaux/t1cmap.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
t1cmap.c File Reference
`#include "t1cmap.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include "psauxerr.h"`

Go to the source code of this file.

## Functions

| psaux_get_glyph_name (T1_Face face, FT_UInt idx)
| t1_cmap_custom_char_index (T1_CMapCustom cmap, FT_UInt32 char_code)
| t1_cmap_custom_char_next (T1_CMapCustom cmap, FT_UInt32 *pchar_code)
| t1_cmap_custom_done (T1_CMapCustom cmap)
| t1_cmap_custom_init (T1_CMapCustom cmap)
| t1_cmap_expert_init (T1_CMapStd cmap)
| t1_cmap_standard_init (T1_CMapStd cmap)
| t1_cmap_std_char_index (T1_CMapStd cmap, FT_UInt32 char_code)
| t1_cmap_std_char_next (T1_CMapStd cmap, FT_UInt32 *pchar_code)
| t1_cmap_std_done (T1_CMapStd cmap)
static void | t1_cmap_std_init (T1_CMapStd cmap, FT_Int is_expert)
| t1_cmap_unicode_char_index (PS_Unicodes unicodes, FT_UInt32 char_code)
| t1_cmap_unicode_char_next (PS_Unicodes unicodes, FT_UInt32 *pchar_code)
| t1_cmap_unicode_done (PS_Unicodes unicodes)
| t1_cmap_unicode_init (PS_Unicodes unicodes)

## Variables

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec | t1_cmap_custom_class_rec
FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec | t1_cmap_expert_class_rec
FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec | t1_cmap_standard_class_rec
FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec | t1_cmap_unicode_class_rec

## Function Documentation

psaux_get_glyph_name | ( | T1_Face | face,
|  | FT_UInt | idx
| ) |  |

Definition at line 267 of file t1cmap.c.

References idx.

Referenced by t1_cmap_unicode_init().

t1_cmap_custom_char_index | ( | T1_CMapCustom | cmap,
|  | FT_UInt32 | char_code
| ) |  |

Definition at line 202 of file t1cmap.c.

t1_cmap_custom_char_next | ( | T1_CMapCustom | cmap,
|  | FT_UInt32 * | pchar_code
| ) |  |

Definition at line 217 of file t1cmap.c.

t1_cmap_custom_done | ( | T1_CMapCustom | cmap | ) |

Definition at line 193 of file t1cmap.c.

References NULL.

t1_cmap_custom_init | ( | T1_CMapCustom | cmap | ) |

Definition at line 175 of file t1cmap.c.

References T1_FontRec_::encoding, FT_ASSERT, FT_CMAP_FACE, NULL, and T1_FaceRec_::type1.

t1_cmap_expert_init | ( | T1_CMapStd | cmap | ) |

Definition at line 145 of file t1cmap.c.

References t1_cmap_std_init().

t1_cmap_standard_init | ( | T1_CMapStd | cmap | ) |

Definition at line 123 of file t1cmap.c.

References t1_cmap_std_init().

t1_cmap_std_char_index | ( | T1_CMapStd | cmap,
|  | FT_UInt32 | char_code
| ) |  |

Definition at line 63 of file t1cmap.c.

References ft_strcmp.

Referenced by t1_cmap_std_char_next().

t1_cmap_std_char_next | ( | T1_CMapStd | cmap,
|  | FT_UInt32 * | pchar_code
| ) |  |

Definition at line 99 of file t1cmap.c.

References t1_cmap_std_char_index().

t1_cmap_std_done | ( | T1_CMapStd | cmap | ) |

Definition at line 53 of file t1cmap.c.

References NULL.

static void t1_cmap_std_init | ( | T1_CMapStd | cmap,
|  | FT_Int | is_expert
| ) |  |

static

Definition at line 35 of file t1cmap.c.

References FT_ASSERT, FT_CMAP_FACE, T1_FontRec_::glyph_names, NULL, T1_FontRec_::num_glyphs, T1_FaceRec_::psnames, and T1_FaceRec_::type1.

Referenced by t1_cmap_expert_init(), and t1_cmap_standard_init().

t1_cmap_unicode_char_index | ( | PS_Unicodes | unicodes,
|  | FT_UInt32 | char_code
| ) |  |

Definition at line 304 of file t1cmap.c.

References FT_CMAP_FACE, and T1_FaceRec_::psnames.

t1_cmap_unicode_char_next | ( | PS_Unicodes | unicodes,
|  | FT_UInt32 * | pchar_code
| ) |  |

Definition at line 316 of file t1cmap.c.

References FT_CMAP_FACE, and T1_FaceRec_::psnames.

t1_cmap_unicode_done | ( | PS_Unicodes | unicodes | ) |

Definition at line 292 of file t1cmap.c.

References FT_CMAP_FACE, FT_FACE_MEMORY, and FT_FREE.

t1_cmap_unicode_init | ( | PS_Unicodes | unicodes | ) |

Definition at line 275 of file t1cmap.c.

References FT_CMAP_FACE, FT_FACE_MEMORY, NULL, T1_FontRec_::num_glyphs, psaux_get_glyph_name(), T1_FaceRec_::psnames, and T1_FaceRec_::type1.

## Variable Documentation

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec t1_cmap_custom_class_rec

Initial value:
=
{
sizeof ( T1_CMapCustomRec ),
(FT_CMap_InitFunc) t1_cmap_custom_init,
(FT_CMap_DoneFunc) t1_cmap_custom_done,
(FT_CMap_CharIndexFunc)t1_cmap_custom_char_index,
(FT_CMap_CharNextFunc) t1_cmap_custom_char_next,
NULL, NULL, NULL, NULL, NULL
}
t1_cmap_custom_char_next
t1_cmap_custom_char_next(T1_CMapCustom cmap, FT_UInt32 *pchar_code)
Definition: t1cmap.c:217
NULL
#define NULL
Definition: ftobjs.h:61
FT_CMap_CharIndexFunc
FT_UInt(* FT_CMap_CharIndexFunc)(FT_CMap cmap, FT_UInt32 char_code)
Definition: ftobjs.h:157
FT_CMap_CharNextFunc
FT_UInt(* FT_CMap_CharNextFunc)(FT_CMap cmap, FT_UInt32 *achar_code)
Definition: ftobjs.h:161
FT_CMap_DoneFunc
void(* FT_CMap_DoneFunc)(FT_CMap cmap)
Definition: ftobjs.h:154
t1_cmap_custom_char_index
t1_cmap_custom_char_index(T1_CMapCustom cmap, FT_UInt32 char_code)
Definition: t1cmap.c:202
T1_CMapCustomRec
struct T1_CMapCustomRec_ T1_CMapCustomRec
t1_cmap_custom_done
t1_cmap_custom_done(T1_CMapCustom cmap)
Definition: t1cmap.c:193
t1_cmap_custom_init
t1_cmap_custom_init(T1_CMapCustom cmap)
Definition: t1cmap.c:175
FT_CMap_InitFunc
FT_Error(* FT_CMap_InitFunc)(FT_CMap cmap, FT_Pointer init_data)
Definition: ftobjs.h:150

Definition at line 245 of file t1cmap.c.

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec t1_cmap_expert_class_rec

Initial value:
=
{
sizeof ( T1_CMapStdRec ),
(FT_CMap_InitFunc) t1_cmap_expert_init,
(FT_CMap_DoneFunc) t1_cmap_std_done,
(FT_CMap_CharIndexFunc)t1_cmap_std_char_index,
(FT_CMap_CharNextFunc) t1_cmap_std_char_next,
NULL, NULL, NULL, NULL, NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
FT_CMap_CharIndexFunc
FT_UInt(* FT_CMap_CharIndexFunc)(FT_CMap cmap, FT_UInt32 char_code)
Definition: ftobjs.h:157
t1_cmap_expert_init
t1_cmap_expert_init(T1_CMapStd cmap)
Definition: t1cmap.c:145
t1_cmap_std_char_next
t1_cmap_std_char_next(T1_CMapStd cmap, FT_UInt32 *pchar_code)
Definition: t1cmap.c:99
FT_CMap_CharNextFunc
FT_UInt(* FT_CMap_CharNextFunc)(FT_CMap cmap, FT_UInt32 *achar_code)
Definition: ftobjs.h:161
t1_cmap_std_char_index
t1_cmap_std_char_index(T1_CMapStd cmap, FT_UInt32 char_code)
Definition: t1cmap.c:63
FT_CMap_DoneFunc
void(* FT_CMap_DoneFunc)(FT_CMap cmap)
Definition: ftobjs.h:154
T1_CMapStdRec
struct T1_CMapStdRec_ T1_CMapStdRec
FT_CMap_InitFunc
FT_Error(* FT_CMap_InitFunc)(FT_CMap cmap, FT_Pointer init_data)
Definition: ftobjs.h:150
t1_cmap_std_done
t1_cmap_std_done(T1_CMapStd cmap)
Definition: t1cmap.c:53

Definition at line 152 of file t1cmap.c.

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec t1_cmap_standard_class_rec

Initial value:
=
{
sizeof ( T1_CMapStdRec ),
(FT_CMap_InitFunc) t1_cmap_standard_init,
(FT_CMap_DoneFunc) t1_cmap_std_done,
(FT_CMap_CharIndexFunc)t1_cmap_std_char_index,
(FT_CMap_CharNextFunc) t1_cmap_std_char_next,
NULL, NULL, NULL, NULL, NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
FT_CMap_CharIndexFunc
FT_UInt(* FT_CMap_CharIndexFunc)(FT_CMap cmap, FT_UInt32 char_code)
Definition: ftobjs.h:157
t1_cmap_std_char_next
t1_cmap_std_char_next(T1_CMapStd cmap, FT_UInt32 *pchar_code)
Definition: t1cmap.c:99
FT_CMap_CharNextFunc
FT_UInt(* FT_CMap_CharNextFunc)(FT_CMap cmap, FT_UInt32 *achar_code)
Definition: ftobjs.h:161
t1_cmap_std_char_index
t1_cmap_std_char_index(T1_CMapStd cmap, FT_UInt32 char_code)
Definition: t1cmap.c:63
FT_CMap_DoneFunc
void(* FT_CMap_DoneFunc)(FT_CMap cmap)
Definition: ftobjs.h:154
t1_cmap_standard_init
t1_cmap_standard_init(T1_CMapStd cmap)
Definition: t1cmap.c:123
T1_CMapStdRec
struct T1_CMapStdRec_ T1_CMapStdRec
FT_CMap_InitFunc
FT_Error(* FT_CMap_InitFunc)(FT_CMap cmap, FT_Pointer init_data)
Definition: ftobjs.h:150
t1_cmap_std_done
t1_cmap_std_done(T1_CMapStd cmap)
Definition: t1cmap.c:53

Definition at line 131 of file t1cmap.c.

FT_CALLBACK_TABLE_DEF const FT_CMap_ClassRec t1_cmap_unicode_class_rec

Initial value:
=
{
sizeof ( PS_UnicodesRec ),
(FT_CMap_InitFunc) t1_cmap_unicode_init,
(FT_CMap_DoneFunc) t1_cmap_unicode_done,
(FT_CMap_CharIndexFunc)t1_cmap_unicode_char_index,
(FT_CMap_CharNextFunc) t1_cmap_unicode_char_next,
NULL, NULL, NULL, NULL, NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
FT_CMap_CharIndexFunc
FT_UInt(* FT_CMap_CharIndexFunc)(FT_CMap cmap, FT_UInt32 char_code)
Definition: ftobjs.h:157
FT_CMap_CharNextFunc
FT_UInt(* FT_CMap_CharNextFunc)(FT_CMap cmap, FT_UInt32 *achar_code)
Definition: ftobjs.h:161
PS_UnicodesRec
struct PS_UnicodesRec_ PS_UnicodesRec
FT_CMap_DoneFunc
void(* FT_CMap_DoneFunc)(FT_CMap cmap)
Definition: ftobjs.h:154
t1_cmap_unicode_done
t1_cmap_unicode_done(PS_Unicodes unicodes)
Definition: t1cmap.c:292
t1_cmap_unicode_char_next
t1_cmap_unicode_char_next(PS_Unicodes unicodes, FT_UInt32 *pchar_code)
Definition: t1cmap.c:316
t1_cmap_unicode_init
t1_cmap_unicode_init(PS_Unicodes unicodes)
Definition: t1cmap.c:275
t1_cmap_unicode_char_index
t1_cmap_unicode_char_index(PS_Unicodes unicodes, FT_UInt32 char_code)
Definition: t1cmap.c:304
FT_CMap_InitFunc
FT_Error(* FT_CMap_InitFunc)(FT_CMap cmap, FT_Pointer init_data)
Definition: ftobjs.h:150

Definition at line 328 of file t1cmap.c.